@echo off
echo Import JRC IES Vegetation Index
echo Raw data, scaling used is 0.01 and offset is -1
echo.
echo.

set longfilename=%1
set shortfilename1=%longfilename:~2,6%
set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8

cd\
%OutputDrive%
cd %OutputDir%




echo your current working directory = %OutputDrive%\%OutputDir%
echo.
echo.

"%UtilDir%\wget\wget.exe" "http://spirits.jrc.ec.europa.eu/files/emodis/south/sa%shortfilename1%i_m.zip"



echo off
if not exist "%OutputDrive%\%OutputDir%\SA%shortfilename1%i_m.zip"  goto MESSAGE
echo The file(s) "%OutputDrive%\%OutputDir%\SA%shortfilename1%i_m.zip" will be copied to your current working directory
echo.
echo.

GOTO START

:MESSAGE
echo The input file was not found in the archive.
echo Check your Date stamp settings
echo Your current Date stamp used is %shortfilename1%
echo Data is retrieved from http://spirits.jrc.ec.europa.eu/files/emodis/south/
echo Check also manually if the data exists on ftp archive (see link above)
echo Internet has a transient nature - addresses might not be valid or has changed after some time!


pause

GOTO END

:START
 

"%UtilDir%\7z" e %OutputDrive%\%OutputDir%\SA%shortfilename1%i_m.zip

"%gdalDir%\gdal_translate" -of ilwis SA%shortfilename1%i_m.img "%OutputDrive%\%OutputDir%\SA%shortfilename1%_t.mpr"

"%IlwDir%\ilwis.exe" -C '%OutputDrive%\%OutputDir%\JRC_NDV_SA_%longfilename%'{dom=value;vr=0:1:0.01}:=(-1+'%OutputDrive%\%OutputDir%\SA%shortfilename1%_t'*0.01);

"%IlwDir%\ilwis.exe" -C setgrf '%OutputDrive%\%OutputDir%\JRC_NDV_SA_%longfilename%'.mpr '%utilDir%\JRC_NDV_SA'.grf


del SA%shortfilename1%_t.*
del SA%shortfilename1%i_m.*

:END
"%IlwDir%\ilwis.exe" -C closeall