@echo off
echo Extract MODIS Terra based Chlorophyll - A
echo Data from 2002185 onwards
echo Unit is mg m^-3
echo File name format T2008001.L3m_DAY_CHL_chlor_a_4km.bz2
echo Julian Day format is used
echo note that the routine downloads the data from http://oceandata.sci.gsfc.nasa.gov/cgi/getfile
echo.
echo. 

set longfilename=%1
set shortfilename1=%longfilename:~0,7%
set shortfilename2=%longfilename:~0,4%
set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8


cd\
%OutputDrive%
cd %OutputDir%

echo your current working directory = %OutputDrive%\%OutputDir%
echo.
echo.

"%UtilDir%\wget\wget.exe" http://oceandata.sci.gsfc.nasa.gov/cgi/getfile/T%shortfilename1%.L3m_DAY_CHL_chlor_a_4km.bz2

echo off
if not exist "%OutputDrive%\%OutputDir%\T%shortfilename1%.L3m_DAY_CHL_chlor_a_4km.bz2"  goto MESSAGE
echo The file(s) "T%shortfilename1%.L3m_DAY_CHL_chlor_a_4km.bz2" has been retrieved and transferred to your current working directory
echo.
echo.

GOTO START

:MESSAGE
echo The input file was not found in the archive.
echo Check your Date stamp settings
echo Your current Date stamp used is %shortfilename1%
echo This routine downloads the data from http://oceandata.sci.gsfc.nasa.gov/cgi/getfile
echo Data is also available from http://oceandata.sci.gsfc.nasa.gov/MODIST/Mapped/Daily/4km/chlor/%shortfilename2%/
echo Check also manually if the data exists on ftp archive (see link above)
echo Internet has a transient nature - addresses might not be valid or has changed after some time!


pause

GOTO END

:START

"%UtilDir%\7z.exe" e T%shortfilename1%.L3m_DAY_CHL_chlor_a_4km.bz2

"%gdalDir%\gdal_translate" -of ILWIS T%shortfilename1%.L3m_DAY_CHL_chlor_a_4km chlorA_T%shortfilename1%t.mpr

"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\chlorA_T%shortfilename1%.mpr{dom=value;vr=0.0000:100.0000:0.0001}:=iff(%OutputDrive%\%OutputDir%\chlorA_T%shortfilename1%t ge 0,%OutputDrive%\%OutputDir%\chlorA_T%shortfilename1%t,?)

"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\chlorA_T%shortfilename1%.mpr %UtilDir%\nasa_ocean

del T%shortfilename1%.L3m_DAY_CHL_chlor_a_4km.bz2
del T%shortfilename1%.L3m_DAY_CHL_chlor_a_4km
del chlorA_T%shortfilename1%t.mp*


:END
"%IlwDir%\ilwis.exe" -C closeall