@echo off
echo Import accumulated daily precipitation forecast from GFS NWP model
echo maplist containing 10 precipitation forecasts
echo Retrieved from ftp://ftp.itc.nl/pub/mpe/gfs/
echo Data pre-processed at ITC, available around 09.00 UTC
echo.
echo.

set longfilename=%1
set shortfilename1=%longfilename:~0,12%
set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8
set irfanviewdir=%9

cd\
%OutputDrive%
cd %OutputDir%

echo your current working directory = %OutputDrive%\%OutputDir%
echo.
echo.


"%UtilDir%\wget\wget" ftp://ftp.itc.nl/pub/mpe/gfs/gfs_10d_%shortfilename1%.zip


if not exist "%OutputDrive%\%OutputDir%\gfs_10d_%shortfilename1%.zip"  goto MESSAGE

GOTO START

:MESSAGE
echo The input file was not found in the archive.
echo Check your Date stamp settings
echo Your current Date stamp used is %shortfilename1%
echo Data is retrieved from ftp://ftp.itc.nl/pub/mpe/gfs/
echo Check also manually if the data exists on ftp archive (see link above)
echo Internet has a transient nature - addresses might not be valid or has changed after some time

pause

GOTO END

:START
echo.
echo.
 

"%UtilDir%\7z" e gfs_10d_%shortfilename1%.zip -aoa 

del gfs_10d_%shortfilename1%.zip


:END
"%IlwDir%\ilwis.exe" -C closeall