@echo off 
echo TAMSAT RFE product 10 day rainfall anomaly estimate product in mm for month
echo Against climatology from 2000 to 2009
echo Imported from archive
echo File name convention rfe2011_03_anom.nc
echo.
echo.

set longfilename=%1
set shortfilename1=%longfilename:~0,4%
set shortfilename2=%longfilename:~4,2%
set shortfilename3=%longfilename:~6,1%
set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8


cd\
%OutputDrive%
cd %OutputDir%

echo rfe%shortfilename1%_%shortfilename2%_anom.nc
echo your current working directory = %OutputDrive%\%OutputDir%
echo.
echo.

"%UtilDir%\wget\wget.exe" http://tamsat.org.uk/public_data/%shortfilename1%/%shortfilename2%/rfe%shortfilename1%_%shortfilename2%_anom.nc

echo off
if not exist "%OutputDrive%\%OutputDir%\rfe%shortfilename1%_%shortfilename2%_anom.nc"  goto MESSAGE
echo The file(s) "rfe%shortfilename1%_%shortfilename2%_anom.nc" has been retrieved and transferred to your current working directory
echo.
echo.

GOTO START

:MESSAGE
echo The input file was not found in the archive.
echo Check your Date stamp settings
echo Your current Date stamp used is %longfilename%
echo Data is retrieved from http://tamsat.org.uk/public_data/
echo Check also manually if the data exists on ftp archive (see link above)
echo Internet has a transient nature - addresses might not be valid or has changed after some time!


pause

GOTO END

:START

rename rfe%shortfilename1%_%shortfilename2%_anom.nc rfe%shortfilename1%%shortfilename2%%shortfilename3%_anom.nc

"%GdalDir%\gdal_translate.exe" -of ilwis %OutputDrive%\%OutputDir%\rfe%shortfilename1%%shortfilename2%%shortfilename3%_anom.nc %OutputDrive%\%OutputDir%\rfe%shortfilename1%%shortfilename2%%shortfilename3%_anoma.mpr


copy "%utildir%\maps\rfeland_mask1.zip"

"%utildir%\7z" e rfeland_mask1.zip

"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\rfe%shortfilename1%%shortfilename2%%shortfilename3%_anoma.mpr %Utildir%\rfe_nc
"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\rfe%shortfilename1%%shortfilename2%%shortfilename3%_anom:=iff(%OutputDrive%\%OutputDir%\africaland_mask1=1,%OutputDrive%\%OutputDir%\rfe%shortfilename1%%shortfilename2%%shortfilename3%_anoma,?)
"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\rfe%shortfilename1%%shortfilename2%%shortfilename3%_anom.mpr %Utildir%\rfe_nc


del rfe%shortfilename1%%shortfilename2%%shortfilename3%_anom.nc
del rfe%shortfilename1%%shortfilename2%%shortfilename3%_anoma.mpr.aux.xml
del rfe%shortfilename1%%shortfilename2%%shortfilename3%_anoma.mp*
del rfeland_mask1.*
del africaland_mask1.*


:END
"%IlwDir%\ilwis.exe" -C closeall