@echo off
echo Extract Chirps Global Precipitation
echo Precipitation in mm/month
echo File name format chirps-v1.8.1990.12.tif
echo.
echo.

set longfilename=%1
set shortfilename1=%longfilename:~0,4%
set shortfilename2=%longfilename:~4,2%

set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8


cd\
%OutputDrive%
cd %OutputDir%


echo your current working directory = %OutputDrive%\%OutputDir%
echo.
echo.

"%UtilDir%\wget\wget.exe" "http://earlywarning.usgs.gov//ftp2/global/chirps/monthly/chirps-v1.8.%shortfilename1%.%shortfilename2%.tif"



echo off
if not exist "%OutputDrive%\%OutputDir%\chirps-v1.8.%shortfilename1%.%shortfilename2%.tif"  goto MESSAGE
echo The file(s) "chirps-v1.8.%shortfilename1%.%shortfilename2%.tif" has been retrieved and transferred to your current working directory
echo.
echo.

GOTO START

:MESSAGE
echo The input file was not found in the archive.
echo Check your Date stamp settings
echo Your current Date stamp used is %shortfilename1%%shortfilename2%
echo Data is retrieved from http://earlywarning.usgs.gov//ftp2/global/chirps/monthly/
echo Check also manually if the data exists on ftp archive (see link above)
echo Internet has a transient nature - addresses might not be valid or has changed after some time!


pause

GOTO END

:START
rename chirps-v1.8.%shortfilename1%.%shortfilename2%.tif chirps_%shortfilename1%_%shortfilename2%.tif

"%GdalDir%\gdal_translate.exe" -of ilwis %OutputDrive%\%OutputDir%\chirps_%shortfilename1%_%shortfilename2%.tif %OutputDrive%\%OutputDir%\chirpst_%shortfilename1%_%shortfilename2%.mpr
"%IlwDir%\ilwis.exe" -C setgrf '%OutputDrive%\%OutputDir%\chirpst_%shortfilename1%_%shortfilename2%'.mpr '%Utildir%\chirps'
"%IlwDir%\ilwis.exe" -C '%OutputDrive%\%OutputDir%\chirps_%shortfilename1%%shortfilename2%'.mpr{dom=value;vr=0:10000:0.01}:=iff('%OutputDrive%\%OutputDir%\chirpst_%shortfilename1%_%shortfilename2%' ge 0,'%OutputDrive%\%OutputDir%\chirpst_%shortfilename1%_%shortfilename2%',?)

rem delete obsolete objects

del "%OutputDrive%\%OutputDir%\chirps_%shortfilename1%_%shortfilename2%.tif"
del "%OutputDrive%\%OutputDir%\chirpst_%shortfilename1%_%shortfilename2%.mp*"
del "%OutputDrive%\%OutputDir%\chirpst_%shortfilename1%_%shortfilename2%.grf"
del "%OutputDrive%\%OutputDir%\chirpst_%shortfilename1%_%shortfilename2%.csy"
del "%OutputDrive%\%OutputDir%\chirpst_%shortfilename1%_%shortfilename2%.mpr.aux.xml"


:END
"%IlwDir%\ilwis.exe" -C closeall