@echo off
echo Extract FEWS eMODIS NDVI
echo from 012010 - to 1 month before present
echo eMODIS previous year difference at 250m spatial resolution 
echo note periods (odd and even periods)
echo file name format na3711dif.zip (na=north africa, 37=period 37 and 11=year)
echo time string entered for example 012010
echo.
echo.


set longfilename=%1%
set shortfilename1=%longfilename:~2,4%
set period=%longfilename:~0,2%
set mnthtif=%period%
set deccounter=%mnthtif:~0,1%
rem if %deccounter% EQU 0 (set mnthtif=%mnthtif:~1,1%)


rem input year 4 digits
set shortfilename2=%longfilename:~2,4%

rem input input year 2 digits
set shortfilename3=%longfilename:~4,2%


set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8


cd\
%OutputDrive%
cd %OutputDir%

echo your current working directory = %OutputDrive%\%OutputDir%
echo.
echo.

"%UtilDir%\wget\wget.exe" http://earlywarning.usgs.gov/ftp2/africa/emodis/na%shortfilename3%%mnthtif%dif.zip

echo off
if not exist "%OutputDrive%\%OutputDir%\na%shortfilename3%%mnthtif%dif.zip"  goto MESSAGE
echo The file(s) "na%shortfilename3%%mnthtif%dif" has been retrieved and transferred to your current working directory
echo.
echo.

GOTO START

:MESSAGE
echo The input file was not found in the archive.
echo Check your Date stamp settings
echo Your current Date stamp used is %longfilename%
echo Data is retrieved from http://earlywarning.usgs.gov/ftp2/africa/emodis/
echo Check also manually if the data exists on ftp archive (see link above)
echo Internet has a transient nature - addresses might not be valid or has changed after some time!

pause

GOTO END

:START

"%UtilDir%\7z.exe" e na%shortfilename3%%mnthtif%dif.zip

ren na%shortfilename3%%mnthtif%dif.tif emodis_ndvi%shortfilename2%%period%dif.tif

"%gdalDir%\gdal_translate" -of ilwis emodis_ndvi%shortfilename2%%period%dif.tif temodis_ndvi%shortfilename2%%period%dif.mpr
"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\emodis_na_ndvi%shortfilename2%%period%dif.mpr{dom=value;vr=-0.980:0.980:0.0001}:=(%OutputDrive%\%OutputDir%\temodis_ndvi%shortfilename2%%period%dif-100)/100
"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\emodis_na_ndvi%shortfilename2%%period%dif.mpr %UtilDir%\emodis_na


del na%mnthtif%%shortfilename3%dif.tfw
del emodis_ndvi%shortfilename2%%period%dif.tif
del na%shortfilename3%%mnthtif%dif.zip

del temodis_ndvi%shortfilename2%%period%dif.mp*
del temodis_ndvi%shortfilename2%%period%dif.grf

:END
"%IlwDir%\ilwis.exe" -C closeall