@echo off
echo Extract NDVI-G (Version 4, NOAA-16 calibration)
echo File name format ndvig02.zip 
echo Output is 36 decades NDVI
echo Scaled from 0 to 1
echo.
echo. 

set longfilename=%1
set shortfilename1=%longfilename:~0,4%
set shortfilename2=%longfilename:~2,2%

set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8

cd\
%OutputDrive%
cd %OutputDir%

echo set shortfilename=%1>inputparam.bat
echo set OutputDrive=%4>>inputparam.bat
echo set OutputDir=%5>>inputparam.bat
echo set IlwDir=%7>>inputparam.bat
echo set UtilDir=%8>>inputparam.bat

echo your current working directory = %OutputDrive%\%OutputDir%
echo.
echo.


"%UtilDir%\wget\wget.exe" http://earlywarning.usgs.gov/ftp2/raster/ng/bil/a/ndvig%shortfilename2%.zip

echo off
if not exist "%OutputDrive%\%OutputDir%\ndvig%shortfilename2%.zip"  goto MESSAGE
echo The file(s) "ndvig%shortfilename2%.zip" has been retrieved and transferred to your current working directory
echo.
echo.

GOTO START

:MESSAGE
echo The input file was not found in the archive.
echo Check your Date stamp settings
echo Your current Date stamp used is %shortfilename1%
echo Data is retrieved from http://earlywarning.usgs.gov/ftp2/raster/ng/bil/a/
echo Check also manually if the data exists on ftp archive (see link above)
echo Internet has a transient nature - addresses might not be valid or has changed after some time!


pause

GOTO END

:START

"%UtilDir%\7z.exe" e ndvig%shortfilename2%.zip ndvig%shortfilename2%\*.bil

copy %IlwDir%\Extensions\ISOD-Toolbox\toolbox_batchroutines\fews_ndvi16bulk_loop.bat

for %%j in (%shortfilename2%*.bil) do cmd /c fews_ndvi16bulk_loop.bat %%j


del ndvig%shortfilename2%.zip
del fews_ndvi16bulk_loop.bat
del inputparam.bat

:END
"%IlwDir%\ilwis.exe" -C closeall